Name:		sysklogd
Version:	1.4.2
Release: 	%mkrel 6
Summary:	System logging and kernel message trapping daemons
License:	GPL
Group:		System/Kernel and hardware 
URL:        http://download.fedora.redhat.com/pub/fedora/linux/core/development/source/SRPMS/
Source0:	%{name}-%{version}rh.tar.gz
Source1:	sysklogd.conf
Source2:	sysklogd.logrotate
Source3:	sysklogd.init
Source4:	sysklogd.sysconfig
Source5:        sbin.klogd.apparmor
Source6:        sbin.syslogd.apparmor
Patch1: 	sysklogd-1.4rh-do_not_use_initlog_when_restarting.patch
Patch2:     sysklogd-1.4.2rh.timezone.patch
Patch3:     sysklogd-1.4.2rh-includeFacPri.patch
Patch4:     sysklogd-1.4.2rh-dispatcher.patch
Patch5:     sysklogd-1.4.2rh-startFailed.patch
Patch6:     sysklogd-1.4.2rh-reload.patch
Requires:	logrotate >= 3.3-8mdk
Requires:	bash >= 2.0
Requires(pre):	coreutils
Requires(pre):	chkconfig
Requires(pre):	initscripts >= 5.60
Requires(post):	    rpm-helper
Requires(preun):	rpm-helper
Provides:	syslog-daemon
Conflicts:  logrotate <= 3.7.5-2mdv
Conflicts:      apparmor-profiles < 2.1-1.961.5mdv2008.0
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
The sysklogd package contains two system utilities (syslogd and klogd)
which provide support for system logging.  Syslogd and klogd run as
daemons (background processes) and log system messages to different
places, like sendmail logs, security logs, error logs, etc.

%prep
%setup -q -n %{name}-%{version}rh
%patch1 -p1 -b .initlog
%patch2 -p1 -b .timezone
%patch3 -p1 -b .includeFacPri
%patch4 -p1 -b .dispatcher
%patch5 -p1 -b .startFailed
%patch6 -p1 -b .reload

%build
%serverbuild
%make

%install
rm -rf %{buildroot}

install -d -m 755 %{buildroot}/sbin
install -d -m 755 %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{_mandir}/man{5,8}
install -d -m 755 %{buildroot}%{_includedir}/%{name}

make install TOPDIR=%{buildroot} MANDIR=%{buildroot}%{_mandir} \
	MAN_OWNER=`id -nu`

install -d -m 755 %{buildroot}%{_sysconfdir}
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/syslog.conf

# init script
install -d -m 755 %{buildroot}%{_initrddir}
install -m 755 %{SOURCE3} %{buildroot}%{_initrddir}/syslog
install -d -m 755 %{buildroot}%{_sysconfdir}/sysconfig
install -m 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/sysconfig/syslog

install -d -m 755 %{buildroot}%{_sbindir}
chmod 755 %{buildroot}/sbin/syslogd
chmod 755 %{buildroot}/sbin/klogd

install -d -m 755 %{buildroot}%{_sysconfdir}/logrotate.d
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/syslog

# apparmor profiles
mkdir -p %{buildroot}%{_sysconfdir}/apparmor.d
install -m 0644 %{SOURCE5} %{buildroot}%{_sysconfdir}/apparmor.d/sbin.klogd
install -m 0644 %{SOURCE6} %{buildroot}%{_sysconfdir}/apparmor.d/sbin.syslogd

%post
# create all configured file if they don't already exist
for file in /var/log/{{auth,user,boot,drakxtools}.log,syslog,messages}; do
    [ -f $file ] || touch $file
done

for dir in /var/log/{mail,cron,kernel,daemons}; do
    [ -d $dir ] || mkdir $dir
    for file in $dir/{info,warnings,errors}.log; do
        [ -f $file ] || touch $file
    done
done

%_post_service syslog

%preun
%_preun_service syslog

%postun
if [ "$1" -ge "1" ]; then
	service syslog condrestart > /dev/null 2>&1
fi	

%posttrans
# if we have apparmor installed, reload if it's being used
if [ -x /sbin/apparmor_parser ]; then
        /sbin/service apparmor condreload
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ANNOUNCE README* NEWS INSTALL 
%{_initrddir}/syslog
%config(noreplace) %{_sysconfdir}/syslog.conf
%config(noreplace) %{_sysconfdir}/sysconfig/syslog
%config(noreplace) %{_sysconfdir}/logrotate.d/syslog
%config(noreplace) %{_sysconfdir}/apparmor.d/sbin.klogd
%config(noreplace) %{_sysconfdir}/apparmor.d/sbin.syslogd
/sbin/*
%{_mandir}/*/*
%{_includedir}/%{name}


%changelog
* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.2-6mdv2008.1
+ Revision: 179568
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 26 2007 Olivier Blin <oblin@mandriva.com> 1.4.2-5mdv2008.0
+ Revision: 93075
- rename drakxtools.log back as explanations (since migration in syslog.conf was not handled)

* Wed Sep 19 2007 Andreas Hasenack <andreas@mandriva.com> 1.4.2-4mdv2008.0
+ Revision: 91195
- ship apparmor profile and use it if apparmor is in effect

* Thu Aug 30 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.2-3mdv2008.0
+ Revision: 75197
- rewrite init script

* Thu Aug 23 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.4.2-2mdv2008.0
+ Revision: 70103
- fileutils, sh-utils & textutils have been obsoleted by coreutils a long time ago
- kill file require on chkconfig

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - drop original URL, as we use a fedora forked version

* Thu Jun 28 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.2-1mdv2008.0
+ Revision: 45548
- sync with fedora, dropping merged patches and adding new ones
- cleanup %%post stage
- better default configuration:
- reduce line length to avoid text wrapping
- reduce logging redudancy
- drop old and unused news and lpr facilities
- rename drakxtools logging file to drakxtools.log
- enforce .log suffix on all files (excepted messages and syslog)

* Wed Jun 27 2007 Andreas Hasenack <andreas@mandriva.com> 1.4.1-14mdv2008.0
+ Revision: 45220
- actually added the sysklogd.conf file introduced in
  commit 40876
- rebuild with new serverbuild macro (-fstack-protector-all)


* Fri Jan 05 2007 Warly <warly@mandriva.com> 1.4.1-13mdv2007.0
+ Revision: 104483
- remove some log duplications (#5856)

* Mon Nov 20 2006 Oden Eriksson <oeriksson@mandriva.com> 1.4.1-12mdv2007.1
+ Revision: 85710
- Import sysklogd

* Fri Jan 27 2006 Michael Scherer <misc@mandriva.org> 1.4.1-12mdk
- remove logrotate file from the package, to fix bug #20745

* Fri Jan 20 2006 Pascal Terjan <pterjan@mandriva.org> 1.4.1-11mdk
- add P12 for the race at startup (#16989)

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 1.4.1-10mdk
- convert parallel init to LSB
- fix some Requires(X)

* Thu Jan 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1.4.1-9mdk
- sync with fedora (1.4.1-34) (P4-P11, rediffed P10)

* Sun Jan 01 2006 Couriousous <couriousous@mandriva.org> 1.4.1-8mdk
- Add parallel init info

* Thu Jul 14 2005 Herton Ronaldo Krzesinski <herton@mandriva.com> 1.4.1-7mdk
- added Provides: syslog-daemon.

* Mon Jun 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.1-6mdk
- security fix (Vincent Danen)
- misc spec file fixes

